// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace CSharpBinding {
    
    
    internal partial class CodeGenerationPanelWidget {
        
        private Gtk.VBox vbox62;
        
        private Gtk.Label label82;
        
        private Gtk.HBox hbox56;
        
        private Gtk.Label label81;
        
        private Gtk.VBox vbox65;
        
        private Gtk.CheckButton generateOverflowChecksCheckButton;
        
        private Gtk.CheckButton enableOptimizationCheckButton;
        
        private Gtk.CheckButton generateDebugInformationCheckButton;
        
        private Gtk.CheckButton generateXmlOutputCheckButton;
        
        private Gtk.HBox hbox4;
        
        private Gtk.Label label87;
        
        private Gtk.Entry symbolsEntry;
        
        private Gtk.Label label93;
        
        private Gtk.HBox hbox48;
        
        private Gtk.Label label73;
        
        private Gtk.VBox vbox67;
        
        private Gtk.HBox hbox60;
        
        private Gtk.Label label85;
        
        private Gtk.SpinButton warningLevelSpinButton;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Label label86;
        
        private Gtk.Entry ignoreWarningsEntry;
        
        private Gtk.CheckButton warningsAsErrorsCheckButton;
        
        private Gtk.Label label94;
        
        private Gtk.HBox hbox5;
        
        private Gtk.Label label74;
        
        private Gtk.HBox hbox6;
        
        private Gtk.Label label88;
        
        private Gtk.Entry additionalArgsEntry;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget CSharpBinding.CodeGenerationPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "CSharpBinding.CodeGenerationPanelWidget";
            // Container child CSharpBinding.CodeGenerationPanelWidget.Gtk.Container+ContainerChild
            this.vbox62 = new Gtk.VBox();
            this.vbox62.Name = "vbox62";
            this.vbox62.Spacing = 12;
            this.vbox62.BorderWidth = ((uint)(6));
            // Container child vbox62.Gtk.Box+BoxChild
            this.label82 = new Gtk.Label();
            this.label82.Name = "label82";
            this.label82.Xalign = 0F;
            this.label82.LabelProp = Mono.Unix.Catalog.GetString("<b>General Options</b>");
            this.label82.UseMarkup = true;
            this.vbox62.Add(this.label82);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox62[this.label82]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox56 = new Gtk.HBox();
            this.hbox56.Name = "hbox56";
            // Container child hbox56.Gtk.Box+BoxChild
            this.label81 = new Gtk.Label();
            this.label81.WidthRequest = 18;
            this.label81.Name = "label81";
            this.hbox56.Add(this.label81);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox56[this.label81]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox56.Gtk.Box+BoxChild
            this.vbox65 = new Gtk.VBox();
            this.vbox65.Name = "vbox65";
            this.vbox65.Spacing = 6;
            // Container child vbox65.Gtk.Box+BoxChild
            this.generateOverflowChecksCheckButton = new Gtk.CheckButton();
            this.generateOverflowChecksCheckButton.CanFocus = true;
            this.generateOverflowChecksCheckButton.Name = "generateOverflowChecksCheckButton";
            this.generateOverflowChecksCheckButton.Label = Mono.Unix.Catalog.GetString("_Generate overflow checks");
            this.generateOverflowChecksCheckButton.DrawIndicator = true;
            this.generateOverflowChecksCheckButton.UseUnderline = true;
            this.vbox65.Add(this.generateOverflowChecksCheckButton);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox65[this.generateOverflowChecksCheckButton]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbox65.Gtk.Box+BoxChild
            this.enableOptimizationCheckButton = new Gtk.CheckButton();
            this.enableOptimizationCheckButton.CanFocus = true;
            this.enableOptimizationCheckButton.Name = "enableOptimizationCheckButton";
            this.enableOptimizationCheckButton.Label = Mono.Unix.Catalog.GetString("Enable _optimizations");
            this.enableOptimizationCheckButton.DrawIndicator = true;
            this.enableOptimizationCheckButton.UseUnderline = true;
            this.vbox65.Add(this.enableOptimizationCheckButton);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox65[this.enableOptimizationCheckButton]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox65.Gtk.Box+BoxChild
            this.generateDebugInformationCheckButton = new Gtk.CheckButton();
            this.generateDebugInformationCheckButton.CanFocus = true;
            this.generateDebugInformationCheckButton.Name = "generateDebugInformationCheckButton";
            this.generateDebugInformationCheckButton.Label = Mono.Unix.Catalog.GetString("Emit _debugging information");
            this.generateDebugInformationCheckButton.DrawIndicator = true;
            this.generateDebugInformationCheckButton.UseUnderline = true;
            this.vbox65.Add(this.generateDebugInformationCheckButton);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox65[this.generateDebugInformationCheckButton]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox65.Gtk.Box+BoxChild
            this.generateXmlOutputCheckButton = new Gtk.CheckButton();
            this.generateXmlOutputCheckButton.CanFocus = true;
            this.generateXmlOutputCheckButton.Name = "generateXmlOutputCheckButton";
            this.generateXmlOutputCheckButton.Label = Mono.Unix.Catalog.GetString("Generate _xml documentation");
            this.generateXmlOutputCheckButton.Active = true;
            this.generateXmlOutputCheckButton.DrawIndicator = true;
            this.generateXmlOutputCheckButton.UseUnderline = true;
            this.vbox65.Add(this.generateXmlOutputCheckButton);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox65[this.generateXmlOutputCheckButton]));
            w6.Position = 3;
            w6.Expand = false;
            w6.Fill = false;
            // Container child vbox65.Gtk.Box+BoxChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            // Container child hbox4.Gtk.Box+BoxChild
            this.label87 = new Gtk.Label();
            this.label87.Name = "label87";
            this.label87.Xalign = 0F;
            this.label87.LabelProp = Mono.Unix.Catalog.GetString("Define S_ymbols:");
            this.label87.UseUnderline = true;
            this.hbox4.Add(this.label87);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox4[this.label87]));
            w7.Position = 0;
            w7.Expand = false;
            w7.Fill = false;
            // Container child hbox4.Gtk.Box+BoxChild
            this.symbolsEntry = new Gtk.Entry();
            this.symbolsEntry.CanFocus = true;
            this.symbolsEntry.Name = "symbolsEntry";
            this.symbolsEntry.IsEditable = true;
            this.symbolsEntry.InvisibleChar = '●';
            this.hbox4.Add(this.symbolsEntry);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.hbox4[this.symbolsEntry]));
            w8.Position = 1;
            this.vbox65.Add(this.hbox4);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox65[this.hbox4]));
            w9.Position = 4;
            w9.Expand = false;
            w9.Fill = false;
            this.hbox56.Add(this.vbox65);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox56[this.vbox65]));
            w10.Position = 1;
            this.vbox62.Add(this.hbox56);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox56]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.label93 = new Gtk.Label();
            this.label93.Name = "label93";
            this.label93.Xalign = 0F;
            this.label93.LabelProp = Mono.Unix.Catalog.GetString("<b>Warnings</b>");
            this.label93.UseMarkup = true;
            this.label93.UseUnderline = true;
            this.vbox62.Add(this.label93);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox62[this.label93]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox48 = new Gtk.HBox();
            this.hbox48.Name = "hbox48";
            // Container child hbox48.Gtk.Box+BoxChild
            this.label73 = new Gtk.Label();
            this.label73.WidthRequest = 18;
            this.label73.Name = "label73";
            this.hbox48.Add(this.label73);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox48[this.label73]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            // Container child hbox48.Gtk.Box+BoxChild
            this.vbox67 = new Gtk.VBox();
            this.vbox67.Name = "vbox67";
            this.vbox67.Spacing = 6;
            // Container child vbox67.Gtk.Box+BoxChild
            this.hbox60 = new Gtk.HBox();
            this.hbox60.Name = "hbox60";
            this.hbox60.Spacing = 6;
            // Container child hbox60.Gtk.Box+BoxChild
            this.label85 = new Gtk.Label();
            this.label85.Name = "label85";
            this.label85.LabelProp = Mono.Unix.Catalog.GetString("_Warning Level:");
            this.label85.UseUnderline = true;
            this.hbox60.Add(this.label85);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox60[this.label85]));
            w14.Position = 0;
            w14.Expand = false;
            w14.Fill = false;
            // Container child hbox60.Gtk.Box+BoxChild
            this.warningLevelSpinButton = new Gtk.SpinButton(0, 4, 1);
            this.warningLevelSpinButton.CanFocus = true;
            this.warningLevelSpinButton.Name = "warningLevelSpinButton";
            this.warningLevelSpinButton.Adjustment.PageIncrement = 1;
            this.warningLevelSpinButton.Adjustment.PageSize = 1;
            this.warningLevelSpinButton.ClimbRate = 1;
            this.warningLevelSpinButton.Numeric = true;
            this.warningLevelSpinButton.Value = 2;
            this.hbox60.Add(this.warningLevelSpinButton);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.hbox60[this.warningLevelSpinButton]));
            w15.Position = 1;
            w15.Expand = false;
            w15.Fill = false;
            this.vbox67.Add(this.hbox60);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.vbox67[this.hbox60]));
            w16.Position = 0;
            w16.Expand = false;
            w16.Fill = false;
            // Container child vbox67.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label86 = new Gtk.Label();
            this.label86.Name = "label86";
            this.label86.LabelProp = Mono.Unix.Catalog.GetString("_Ignore warnings:");
            this.label86.UseUnderline = true;
            this.hbox3.Add(this.label86);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.hbox3[this.label86]));
            w17.Position = 0;
            w17.Expand = false;
            w17.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.ignoreWarningsEntry = new Gtk.Entry();
            this.ignoreWarningsEntry.CanFocus = true;
            this.ignoreWarningsEntry.Name = "ignoreWarningsEntry";
            this.ignoreWarningsEntry.IsEditable = true;
            this.ignoreWarningsEntry.InvisibleChar = '●';
            this.hbox3.Add(this.ignoreWarningsEntry);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.hbox3[this.ignoreWarningsEntry]));
            w18.Position = 1;
            this.vbox67.Add(this.hbox3);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.vbox67[this.hbox3]));
            w19.Position = 1;
            w19.Expand = false;
            w19.Fill = false;
            // Container child vbox67.Gtk.Box+BoxChild
            this.warningsAsErrorsCheckButton = new Gtk.CheckButton();
            this.warningsAsErrorsCheckButton.CanFocus = true;
            this.warningsAsErrorsCheckButton.Name = "warningsAsErrorsCheckButton";
            this.warningsAsErrorsCheckButton.Label = Mono.Unix.Catalog.GetString("Treat warnings as _errors");
            this.warningsAsErrorsCheckButton.DrawIndicator = true;
            this.warningsAsErrorsCheckButton.UseUnderline = true;
            this.vbox67.Add(this.warningsAsErrorsCheckButton);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.vbox67[this.warningsAsErrorsCheckButton]));
            w20.Position = 2;
            w20.Expand = false;
            w20.Fill = false;
            this.hbox48.Add(this.vbox67);
            Gtk.Box.BoxChild w21 = ((Gtk.Box.BoxChild)(this.hbox48[this.vbox67]));
            w21.Position = 1;
            this.vbox62.Add(this.hbox48);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox48]));
            w22.Position = 3;
            w22.Expand = false;
            w22.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.label94 = new Gtk.Label();
            this.label94.Name = "label94";
            this.label94.Xalign = 0F;
            this.label94.LabelProp = Mono.Unix.Catalog.GetString("<b>Additional Options</b>");
            this.label94.UseMarkup = true;
            this.label94.UseUnderline = true;
            this.vbox62.Add(this.label94);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox62[this.label94]));
            w23.Position = 4;
            w23.Expand = false;
            w23.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox5 = new Gtk.HBox();
            this.hbox5.Name = "hbox5";
            this.hbox5.Spacing = 6;
            // Container child hbox5.Gtk.Box+BoxChild
            this.label74 = new Gtk.Label();
            this.label74.WidthRequest = 18;
            this.label74.Name = "label74";
            this.hbox5.Add(this.label74);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.hbox5[this.label74]));
            w24.Position = 0;
            w24.Expand = false;
            w24.Fill = false;
            // Container child hbox5.Gtk.Box+BoxChild
            this.hbox6 = new Gtk.HBox();
            this.hbox6.Name = "hbox6";
            this.hbox6.Spacing = 6;
            // Container child hbox6.Gtk.Box+BoxChild
            this.label88 = new Gtk.Label();
            this.label88.Name = "label88";
            this.label88.LabelProp = Mono.Unix.Catalog.GetString("_Additional arguments:");
            this.label88.UseUnderline = true;
            this.hbox6.Add(this.label88);
            Gtk.Box.BoxChild w25 = ((Gtk.Box.BoxChild)(this.hbox6[this.label88]));
            w25.Position = 0;
            w25.Expand = false;
            w25.Fill = false;
            // Container child hbox6.Gtk.Box+BoxChild
            this.additionalArgsEntry = new Gtk.Entry();
            this.additionalArgsEntry.CanFocus = true;
            this.additionalArgsEntry.Name = "additionalArgsEntry";
            this.additionalArgsEntry.IsEditable = true;
            this.additionalArgsEntry.InvisibleChar = '●';
            this.hbox6.Add(this.additionalArgsEntry);
            Gtk.Box.BoxChild w26 = ((Gtk.Box.BoxChild)(this.hbox6[this.additionalArgsEntry]));
            w26.Position = 1;
            this.hbox5.Add(this.hbox6);
            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.hbox5[this.hbox6]));
            w27.Position = 1;
            this.vbox62.Add(this.hbox5);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox5]));
            w28.Position = 5;
            w28.Expand = false;
            w28.Fill = false;
            this.Add(this.vbox62);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label87.MnemonicWidget = this.symbolsEntry;
            this.label85.MnemonicWidget = this.warningLevelSpinButton;
            this.label86.MnemonicWidget = this.warningLevelSpinButton;
            this.label88.MnemonicWidget = this.warningLevelSpinButton;
            this.Show();
        }
    }
}
